//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ExampleType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>
 * &lt;simpleType name="ExampleType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN"&gt;
 *     &lt;enumeration value="error"/&gt;
 *     &lt;enumeration value="valid"/&gt;
 *     &lt;enumeration value="neutral"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "ExampleType")
@XmlEnum
public enum ExampleType {


    /**
     * Om aan te geven dat het een foutief instancefragment (voorbeeld) betreft.
     * 
     */
    @XmlEnumValue("error")
    ERROR("error"),

    /**
     * Om aan te geven dat het een correct instancefragment (voorbeeld) betreft.
     * 
     */
    @XmlEnumValue("valid")
    VALID("valid"),

    /**
     * Om aan te geven dat het instancefragment (voorbeeld) niet expliciet geldig of ongeldig is.
     * 
     */
    @XmlEnumValue("neutral")
    NEUTRAL("neutral");
    private final String value;

    ExampleType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ExampleType fromValue(String v) {
        for (ExampleType c: ExampleType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
